Puppet override with invalid hash array doesn't give error

09/11/2015 09:40 AM - Jon Skarpeteig

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Parameters   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.2

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2755

  

Description

When modifying Puppet class changing default value to a hash with invalid syntax - there's an error.

When editing a host definition editing the same value - the submit/save completes successfully, while ignoring the (invalue) value

entered.

This in turn leads to confusion as it seems as if the host override completed successfully when in fact it did not.

Related issues:

Related to Foreman - Bug #11375: Smart class parameters turn YAML to string w... Closed 08/16/2015

Associated revisions

Revision 00335956 - 10/01/2015 11:25 AM - Dominic Cleal

fixes #11375, #11782 - validate a host's lookup_values

Enabling validation ensures the casting and validation within

LookupValue runs during host/hostgroup save.  Tweaks to hostgroup

cloning ensure that the newly cloned hostgroup now passes validation

when it has associated lookup values.

Don't show any LookupValue#match errors in the host/hostgroup forms

as the value is autogenerated by the nested attribute setter.

Revision e476ae3a - 10/30/2015 01:33 PM - Dominic Cleal

fixes #11375, #11782 - validate a host's lookup_values

Enabling validation ensures the casting and validation within

LookupValue runs during host/hostgroup save.  Tweaks to hostgroup

cloning ensure that the newly cloned hostgroup now passes validation

when it has associated lookup values.

Don't show any LookupValue#match errors in the host/hostgroup forms

as the value is autogenerated by the nested attribute setter.

(cherry picked from commit 003359564b4ab5fa8198cc9b035df405e7e600cd)

History

#1 - 09/11/2015 09:41 AM - Jon Skarpeteig

value entered.

#2 - 09/14/2015 05:12 AM - Dominic Cleal

- Category set to Parameters

#3 - 09/23/2015 03:57 AM - Dominic Cleal
- Related to Bug #11375: Smart class parameters turn YAML to string when using a multi line yaml added

#4 - 09/23/2015 05:52 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#5 - 09/23/2015 06:15 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2755 added

- Pull request deleted ()

#6 - 10/01/2015 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 003359564b4ab5fa8198cc9b035df405e7e600cd.

#7 - 10/06/2015 03:42 AM - Dominic Cleal

- translation missing: en.field_release set to 63
